<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la structure Constantes</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Attributs publics statiques</a> &#124;
<a href="struct_constantes-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure Constantes</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_constantes_8hpp_source.html">Constantes.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Attributs publics statiques</h2></td></tr>
<tr class="memitem:a6973aaa853c692ea0af0954d4265b352"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_constantes.html#a6973aaa853c692ea0af0954d4265b352">NB_LIGNES</a> = 19</td></tr>
<tr class="separator:a6973aaa853c692ea0af0954d4265b352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86fda8179843edadeb33ad61c65bae21"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_constantes.html#a86fda8179843edadeb33ad61c65bae21">NB_COLONNES</a> = 19</td></tr>
<tr class="separator:a86fda8179843edadeb33ad61c65bae21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a719fa02ce204dba20ef6568c3b0322e0"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_constantes.html#a719fa02ce204dba20ef6568c3b0322e0">MILIEU_PLATEAU_X</a> = 9</td></tr>
<tr class="separator:a719fa02ce204dba20ef6568c3b0322e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af91d0648df45671e4056a9ce2460aa00"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_constantes.html#af91d0648df45671e4056a9ce2460aa00">MILIEU_PLATEAU_Y</a> = 9</td></tr>
<tr class="separator:af91d0648df45671e4056a9ce2460aa00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d293d1c47bf3069fadc0054139fa61e"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_constantes.html#a3d293d1c47bf3069fadc0054139fa61e">NB_PIONS_JOUEUR</a> = 60</td></tr>
<tr class="separator:a3d293d1c47bf3069fadc0054139fa61e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Structure répertoriant toutes les valeurs constantes de l'application. </p>
</div><h2 class="groupheader">Documentation des données membres</h2>
<a id="a719fa02ce204dba20ef6568c3b0322e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a719fa02ce204dba20ef6568c3b0322e0">&#9670;&nbsp;</a></span>MILIEU_PLATEAU_X</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Constantes::MILIEU_PLATEAU_X = 9</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Coordonnée X du milieu de plateau. </p>

</div>
</div>
<a id="af91d0648df45671e4056a9ce2460aa00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af91d0648df45671e4056a9ce2460aa00">&#9670;&nbsp;</a></span>MILIEU_PLATEAU_Y</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Constantes::MILIEU_PLATEAU_Y = 9</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Coordonnée Y du milieu de plateau. </p>

</div>
</div>
<a id="a86fda8179843edadeb33ad61c65bae21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86fda8179843edadeb33ad61c65bae21">&#9670;&nbsp;</a></span>NB_COLONNES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Constantes::NB_COLONNES = 19</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Nombre de colonnes du plateau. </p>

</div>
</div>
<a id="a6973aaa853c692ea0af0954d4265b352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6973aaa853c692ea0af0954d4265b352">&#9670;&nbsp;</a></span>NB_LIGNES</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Constantes::NB_LIGNES = 19</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Nombre de lignes du plateau. </p>

</div>
</div>
<a id="a3d293d1c47bf3069fadc0054139fa61e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d293d1c47bf3069fadc0054139fa61e">&#9670;&nbsp;</a></span>NB_PIONS_JOUEUR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int Constantes::NB_PIONS_JOUEUR = 60</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Nombre de pion attribués à chaque joueur en début de partie. </p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="_constantes_8hpp_source.html">Constantes.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
